import java.awt.BorderLayout;
import javax.swing.JFrame;


/**
 * A Frame for the baby name popularity grapher
 * @author YOUR NAME HERE
 */
public class NameFrame extends JFrame
{
	private NameGraph graph;
	
	public NameFrame()
	{
		super("Baby Name Popularity");
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.setResizable(false); //helps since our drawing relies on a particular size
		this.setLayout(new BorderLayout());
		
		graph = new NameGraph();
		this.add(graph, BorderLayout.CENTER);
				
		this.pack();
		this.setVisible(true);
	}

	

	public static void main(String[] args)
	{
		new NameFrame();
	}
	
}
